MB_CUR_MAX(3)

NAME
MB_CUR_MAX - maximum length of a multibyte character in the current locale

SYNOPSIS
#include <stdlib.h>

DESCRIPTION
The MB_CUR_MAX macro defines an integer expression giving the maximum number of bytes needed to represent a single wide character in the current locale. It is locale dependent and therefore not a compile-time constant.

RETURN VALUE
An integer in the range [1, MB_LEN_MAX]. The value 1 denotes traditional 8-bit encoded characters.

CONFORMING TO
C99, POSIX.1-2001.

SEE ALSO
MB_LEN_MAX(3), mblen(3), mbstowcs(3), mbtowc(3), wcstombs(3), wctomb(3)

COLOPHON
This page is part of release 3.32 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.